"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var taro_1 = require("@tarojs/taro");

function isOnline() {
  return new Promise(function (resolve, reject) {
    (0, taro_1.getNetworkType)().then(function (result) {
      return resolve(result.networkType !== 'none');
    })["catch"](reject);
  });
}

exports["default"] = isOnline;