import { useDidShow, useDidHide, useTaroState } from '@tarojs/taro';
export default function isDocumentVisible() {
  var _useTaroState = useTaroState(true),
      visible = _useTaroState[0],
      setVisible = _useTaroState[1];

  useDidShow(function () {
    setVisible(true);
  });
  useDidHide(function () {
    setVisible(false);
  });
  return visible;
}